///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class LastMessage {
/*
{
  "isRead": null,
  "message": null,
  "timeToken": 0
}
*/

  String? isRead;
  String? message;
  int? timeToken;

  LastMessage({
    this.isRead,
    this.message,
    this.timeToken,
  });
  LastMessage.fromJson(Map<String, dynamic> json) {
    isRead = json['isRead']?.toString();
    message = json['message']?.toString();
    timeToken = json['timeToken']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['isRead'] = isRead;
    data['message'] = message;
    data['timeToken'] = timeToken;
    return data;
  }
}

class FetchJoinedChannelsDataDetail {
/*
{
  "channelPubnubId": "channel-fdb063d2-f228-49b5-b209-20b4e38ff256",
  "communityImage": "upload/user/249f81b8-93f6-48a6-90d7-691c6f141e8a/60e2b1ffe27077cb7c536860b75ae495_1651791099883.jpg",
  "communityName": "Trần Anh Tuấn",
  "lastMessage": {
    "isRead": null,
    "message": null,
    "timeToken": 0
  },
  "unReadCount": null
}
*/

  String? channelPubnubId;
  String? communityImage;
  String? communityName;
  LastMessage? lastMessage;
  String? unReadCount;
  int? communityId;
  String? userUuid;

  FetchJoinedChannelsDataDetail(
      {this.channelPubnubId,
      this.communityImage,
      this.communityName,
      this.lastMessage,
      this.unReadCount,
      this.communityId,
      this.userUuid});
  FetchJoinedChannelsDataDetail.fromJson(Map<String, dynamic> json) {
    channelPubnubId = json['channelPubnubId']?.toString();
    communityImage = json['communityImage']?.toString();
    communityName = json['communityName']?.toString();
    lastMessage = (json['lastMessage'] != null)
        ? LastMessage.fromJson(json['lastMessage'])
        : null;
    unReadCount = json['unReadCount']?.toString();
    communityId = json['communityId']?.toInt();
    userUuid = json['userUuid']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['channelPubnubId'] = channelPubnubId;
    data['communityImage'] = communityImage;
    data['communityName'] = communityName;
    if (lastMessage != null) {
      data['lastMessage'] = lastMessage!.toJson();
    }
    data['unReadCount'] = unReadCount;
    data['communityId'] = communityId;
    data['userUuid'] = userUuid;
    return data;
  }
}

class FetchJoinedChannelsData {
/*
{
  "count": null,
  "nextToken": "JTNGc3ViJTNEMSUyNnJvd051bSUzRDM=",
  "data": [
    {
      "channelPubnubId": "channel-fdb063d2-f228-49b5-b209-20b4e38ff256",
      "communityImage": "upload/user/249f81b8-93f6-48a6-90d7-691c6f141e8a/60e2b1ffe27077cb7c536860b75ae495_1651791099883.jpg",
      "communityName": "Trần Anh Tuấn",
      "lastMessage": {
        "isRead": null,
        "message": null,
        "timeToken": 0
      },
      "unReadCount": null
    }
  ]
}
*/

  int? count;
  String? nextToken;
  List<FetchJoinedChannelsDataDetail>? data;

  FetchJoinedChannelsData({
    this.count,
    this.nextToken,
    this.data,
  });
  FetchJoinedChannelsData.fromJson(Map<String, dynamic> json) {
    count = json['count']?.toInt();
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <FetchJoinedChannelsDataDetail>[];
      v.forEach((v) {
        arr0.add(FetchJoinedChannelsDataDetail.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['count'] = count;
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class FetchJoinedChannelsResponse {
/*
{
  "fetchJoinedChannels": {
    "count": null,
    "nextToken": "JTNGc3ViJTNEMSUyNnJvd051bSUzRDM=",
    "data": [
      {
        "channelPubnubId": "channel-fdb063d2-f228-49b5-b209-20b4e38ff256",
        "communityImage": "upload/user/249f81b8-93f6-48a6-90d7-691c6f141e8a/60e2b1ffe27077cb7c536860b75ae495_1651791099883.jpg",
        "communityName": "Trần Anh Tuấn",
        "lastMessage": {
          "isRead": null,
          "message": null,
          "timeToken": 0
        },
        "unReadCount": null
      }
    ]
  }
}
*/

  FetchJoinedChannelsData? fetchJoinedChannels;

  FetchJoinedChannelsResponse({
    this.fetchJoinedChannels,
  });
  FetchJoinedChannelsResponse.fromJson(Map<String, dynamic> json) {
    fetchJoinedChannels = (json['fetchJoinedChannels'] != null)
        ? FetchJoinedChannelsData.fromJson(json['fetchJoinedChannels'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchJoinedChannels != null) {
      data['fetchJoinedChannels'] = fetchJoinedChannels!.toJson();
    }
    return data;
  }
}

class FetchJoinedChannels {
/*
{
  "data": {
    "fetchJoinedChannels": {
      "count": null,
      "nextToken": "JTNGc3ViJTNEMSUyNnJvd051bSUzRDM=",
      "data": [
        {
          "channelPubnubId": "channel-fdb063d2-f228-49b5-b209-20b4e38ff256",
          "communityImage": "upload/user/249f81b8-93f6-48a6-90d7-691c6f141e8a/60e2b1ffe27077cb7c536860b75ae495_1651791099883.jpg",
          "communityName": "Trần Anh Tuấn",
          "lastMessage": {
            "isRead": null,
            "message": null,
            "timeToken": 0
          },
          "unReadCount": null
        }
      ]
    }
  }
}
*/

  FetchJoinedChannelsResponse? data;

  FetchJoinedChannels({
    this.data,
  });
  FetchJoinedChannels.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? FetchJoinedChannelsResponse.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
